<div class="tab-pane active" id="panel3" xmlns="http://www.w3.org/1999/html">
<div class="alert alert-info margin-top" ng-show="preparing"><?php _('Preparing new job') ?></div>
<div ng-hide="selectSFile">
<form enctype="multipart/form-data" method="post" action="{{'/printer/job/'+activeSlug}}" id="formuploadquick" class="form-inline margin-top" ng-if="canPrint">
<input type="hidden" name="a" value="upload">
<input type="hidden" name="sess" value="{{user.getSession()}}">
<input type="hidden" name="name" value="" id="quickUploadName">
<div class="btn-group btn-block" rs-dropdown dropdown-append-to-body is-open="$parent.menuDirect">
<span class="btn btn-primary col-sm-11 btn-file" ng-disabled="uploading">
<rs-icon class="fa fa-upload" style="font-size: 16px;line-height: 16px;"></rs-icon>
<span ng-hide="uploading"><?php _('Direct Print') ?></span>
<span ng-show="uploading"><?php _('Uploading ...') ?> {{uploadProgress}}%</span>
<input type="file" name="filename" id="quickFilenameUpload" onchange="quickuploadHandler()">
</span>
<button type="button" class="btn btn-primary col-sm-1" rs-dropdown-toggle aria-haspopup="true" aria-expanded="false">
<span class="caret"></span>
</button>
<ul rs-dropdown-menu class="dropdown-menu-right">
<li ng-click="$event.stopPropagation()">
<div style="padding:2px 20px">
<div class="input-group">
<span class="input-group-addon"><?php _('URL') ?></span>
<input type="text" class="form-control" placeholder="http://" ng-model="in.openUrl" prevent-enter-submit>
<span class="input-group-btn" ng-hide="active.state.isJobActive">
<div ng-disabled="!importUrlValid" ng-click="closeDirect();importLink(true, true)" class="btn btn-primary">
<i class="rs rs-print"></i>
<?php _('Print') ?>
</div>
</span>
<span class="input-group-btn">
<div ng-disabled="!importUrlValid" ng-click="closeDirect();importLink(true, false)" class="btn btn-primary">
<i class="rs rs-queue"></i>
<?php _('Queue G-Code') ?>
</div>
</span>
</div>
</div>
</li>
<li role="separator" class="divider"></li>
<li ng-if="dbox.hasDropbox">
<a href="javascript:void(0)" ng-click="closeDirect();dropbox(true)"><i class="fa fa-dropbox rs-bigtab"></i>
Dropbox</a></li>
<li role="separator" class="divider"></li>
<li ng-repeat="f in folders">
<a href="javascript:void(0)" ng-click="closeDirect();importPath(f,true)"><i class="fa fa-folder-o rs-bigtab"></i>{{f.name}}</a>
</li>
</ul>
</div>
</form>
<div class="row">
<div class="col-lg-12">
<div class="alert alert-info margin-top" ng-show="preparePrint"><?php _('Preparing Print ...') ?></div>
<rs-print-status></rs-print-status>
<div class="margin-top panel panel-default" ng-show="(active.queue.length>1 || (active.queue.length==1 && active.queue[0].id!=active.status.jobid))">
<div class="panel-heading"><i class="rs rs-queue"></i> <?php _('Print Queue') ?>
</div>
<div class="panel-body">
<div class="table-responsive">
<table class="table table-bordered2 table-condensed table-striped table-hover nowrap vmiddle">
<thead>
<tr>
<th style="width:30px"></th>
<th><?php _('Filename') ?></th>
<th class="visible-md visible-lg"><?php _('Added') ?></th>
<th class="hidden-xs hidden-sm"><?php _('Size') ?></th>
<th class="visible-md visible-lg"><?php _('Lines') ?></th>
<th><?php _('Time') ?></th>
<th class="hidden-xs hidden-sm"><?php _('Filament') ?></th>
<th class="hidden-xs hidden-sm"><?php _('Layer') ?></th>
<th style="width:35px"></th>
</tr>
</thead>
<tbody>
<tr ng-repeat="f in active.queue | orderBy:'id'" ng-hide="f.id==active.status.jobid">
<td>
<button ng-show="canPrint && active.status.online==1" type="button" ng-click="printQueue(f)" class="btn btn-primary btn-xs" title="<?php _('Print') ?>">
<i class="rs rs-print"></i></button>
</td>
<td style="white-space: normal;">
&nbsp;{{f.name}}
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTime | hms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td class="text-center">
<div ng-show="canPrint" type="button" ng-click="dequeQueue(f)" class="btn text-danger btn-xs pull-right" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
</tbody>
<tfoot ng-if="active.queue.length>1">
<tr>
<th colspan="2"><?php _('Total') ?></th>
<td class="visible-md visible-lg"></td>
<td class="hidden-xs hidden-sm"></td>
<th class="visible-md visible-lg">{{active.queueLines}}</th>
<th>{{active.queueTime | hms}}</th>
<th class="hidden-xs hidden-sm">{{active.queueFilament | number:0}} mm</th>
<td class="hidden-xs hidden-sm"></td>
<td class="text-center">
</td>
</tr>
</tfoot>
</table>
</div>
</div>
</div>
<div class="margin-top panel panel-default">
<div class="panel-heading clearfix">
<div class="row">
<div class="col-xs-12 col-sm-6">
<select class="form-control" ng-model="globals.gcodeView.group" ng-options="g.id as g.name for g in groups" ng-change="selectGroup()"></select>
</div>
<div class="col-xs-12 col-sm-2 margin-top-xs">
<div class="input-group">
<input type="text" class="form-control" ng-model="globals.gcodeView.filter" ng-change="updateFilter()" placeholder="<?php _('Search...') ?>">
<span class="input-group-addon">
<i class="fa fa-search"></i>
</span>
</div>
</div>
<div class="col-xs-12 col-sm-4 margin-top-xs" style="text-align: right">
<div class="btn-group" style="text-align: right;">
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="0" ng-change="updateViewMode()"><i class="fa fa-align-justify rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="1" ng-change="updateViewMode()"><i class="fa fa-th-list rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="2" ng-change="updateViewMode()"><i class="fa fa-th rs-big"></i></label>
<label class="btn btn-default" ng-model="globals.gcodeView.viewMode" uib-btn-radio="3" ng-change="updateViewMode()"><i class="fa fa-th-large rs-big"></i></label>
</div>
</div>
</div>
<div class="row margin-top">
<div class="col-xs-12 col-sm-6" ng-if="user.addPermission">
<form enctype="multipart/form-data" method="post" action="{{'/printer/model/'+activeSlug}}" id="formuploadgcode">
<input type="hidden" name="a" value="upload">
<input type="hidden" name="sess" value="{{user.getSession()}}">
<input type="hidden" name="name" value="" id="gcodeUploadName">
<input type="hidden" name="group" value="{{globals.gcodeView.group}}">
<div class="btn-group btn-block" rs-dropdown dropdown-append-to-body is-open="$parent.menuUpload">
<span class="btn btn-primary col-sm-11 btn-file" ng-disabled="uploading">
<rs-icon icon="fa fa-upload" style="font-size: 16px;line-height: 16px;"></rs-icon>
<span ng-hide="uploading"><?php _('Upload G-Code') ?></span>
<span ng-show="uploading"><?php _('Uploading ...') ?> {{uploadProgress}}%</span>
<input type="file" name="filename" id="gcodeFilenameUpload" onchange="handleUpload()">
</span>
<button type="button" class="btn btn-primary col-sm-1" rs-dropdown-toggle aria-haspopup="true" aria-expanded="false">
<span class="caret"></span>
</button>
<ul rs-dropdown-menu>
<li ng-click="$event.stopPropagation()">
<div style="padding:2px 20px">
<div class="input-group">
<span class="input-group-addon"><?php _('URL') ?></span>
<input type="text" class="form-control" placeholder="http://" ng-model="in.openUrl" prevent-enter-submit>
<span class="input-group-btn">
<div ng-disabled="!importUrlValid" ng-click="closeUpload();importLink(false, false)" class="btn btn-primary">
<i class="fa fa-cloud-download"></i>
<?php _('Import') ?>
</div>
</span>
</div>
</div>
</li>
<li role="separator" class="divider"></li>
<li ng-if="dbox.hasDropbox">
<a href="javascript:void(0)" ng-click="closeUpload();dropbox(false)"><i class="fa fa-dropbox rs-bigtab"></i>
Dropbox</a></li>
<li role="separator" class="divider" ng-if="dbox.hasDropbox"></li>
<li ng-repeat="f in folders">
<a href="javascript:void(0)" ng-click="closeUpload();importPath(f,false)"><i class="fa fa-folder-o rs-bigtab"></i>{{f.name}}</a>
</li>
</ul>
</div>
</form>
</div>
<div class="col-xs-12 margin-top-xs col-sm-6" ng-if="user.addPermission || user.delPermission">
<div class="btn-block" rs-dropdown dropdown-append-to-body is-open="menuAction">
<button id="single-button" type="button" class="btn btn-primary btn-block" rs-dropdown-toggle ng-disabled="disabled">
<?php _('Action') ?> <span class="caret"></span>
</button>
<ul class="dropdown-menu" rs-dropdown-menu role="menu" aria-labelledby="single-button">
<li role="menuitem" ng-if="user.addPermission">
<a class="extrapad" ng-click="closeAction();addGroup()">
<rs-menu-icon icon="fa fa-plus"></rs-menu-icon>
<?php _('Add Group') ?>
</a>
</li>
<li role="menuitem" ng-if="user.addPermission">
<a class="extrapad" ng-click="closeAction();renameGroup()" ng-disabled="globals.gcodeView.group.length<2">
<rs-menu-icon icon="fa fa-plus"></rs-menu-icon>
<?php _('Rename Group') ?>
</a>
</li>
<li role="menuitem" ng-if="user.delPermission">
<a class="extrapad" ng-click="closeAction();delGroup()" ng-disabled="globals.gcodeView.group.length<2">
<rs-menu-icon icon="fa fa-trash-o fg-danger"></rs-menu-icon>
<?php _('Delete Group') ?>
</a>
</li>
<li role="menuitem" ng-if="user.delPermission">
<a class="extrapad" ng-click="closeAction();delFilesInGroup()">
<rs-menu-icon icon="fa fa-trash-o fg-danger"></rs-menu-icon> <?php _('Delete All G-Codes in Group') ?>
</a>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="panel-body table-responsive">
<div ng-if="active.models.length == 0" class="row">
<h3 class="col-xs-12"><?php _('No G-Codes stored in this Group') ?></h3>
</div>
<div ng-if="globals.gcodeView.viewMode==0" class="margin-top">
<table class="table table-bordered2 table-striped table-condensed table-hover nowrap vmiddle">
<tr class="sortable">
<th style="width: 100px"></th>
<th class="clickable" ng-click="SortBy(0)"><?php _('Filename') ?>
<i class="fa sort" ng-class="sortIcon(0)"></i>
</th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(2)"><?php _('Uploaded') ?>
<i class="fa sort" ng-class="sortIcon(2)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(6)"><?php _('Size') ?>
<i class="fa sort" ng-class="sortIcon(6)"></i></th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(8)"><?php _('Lines') ?>
<i class="fa sort" ng-class="sortIcon(8)"></i></th>
<th class="clickable" ng-click="SortBy(4)"><?php _('Time') ?>
<i class="fa sort" ng-class="sortIcon(4)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(10)"><?php _('Filament') ?>
<i class="fa sort" ng-class="sortIcon(10)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(12)"><?php _('Layer') ?>
<i class="fa sort" ng-class="sortIcon(12)"></i></th>
<th ng-if="user.delPermission" style="width:35px"></th>
</tr>
<tr ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage" ng-class="{'bg-danger':f.error, 'bg-warning':f.processing}">
<td style="overflow:visible">
<div ng-show="f.ok">
<button ng-show="canPrint" type="button" ng-click="printGCode(f, true)" class="btn btn-xs" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="rs rs-print"></i></button>
<span rs-dropdown dropdown-append-to-body style="margin-left:10px" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-left">
<li><a class="extrapad" href="javascript:void(0)" ng-click="info(f)"><rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)"><rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)"><rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)"><rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?></a></li>
<li ng-if="user.readPermission && user.editProjectsPermission"><a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)"><rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?></a></li>
<li ng-if="canPrint"><a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)"><rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?></a></li>
</ul>
</span>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</td>
<td style="white-space: normal;">
<rs-in-place-string ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTime | hms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td ng-if="user.delPermission" style="text-align: center">
<div type="button" ng-click="tryDeleteModel(f)" class="btn text-danger btn-xs pull-right">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
</table>
</div>
<div ng-if="globals.gcodeView.viewMode==1" class="margin-top">
<table class="table table-bordered2 table-striped table-condensed table-hover nowrap vmiddle">
<tr class="sortable">
<th style="width: 60px"></th>
<th class="clickable" ng-click="SortBy(0)"><?php _('Filename') ?>
<i class="fa sort" ng-class="sortIcon(0)"></i>
</th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(2)"><?php _('Uploaded') ?>
<i class="fa sort" ng-class="sortIcon(2)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(6)"><?php _('Size') ?>
<i class="fa sort" ng-class="sortIcon(6)"></i></th>
<th class="clickable visible-md visible-lg" ng-click="SortBy(8)"><?php _('Lines') ?>
<i class="fa sort" ng-class="sortIcon(8)"></i></th>
<th class="clickable" ng-click="SortBy(4)"><?php _('Time') ?>
<i class="fa sort" ng-class="sortIcon(4)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(10)"><?php _('Filament') ?>
<i class="fa sort" ng-class="sortIcon(10)"></i></th>
<th class="clickable hidden-xs hidden-sm" ng-click="SortBy(12)"><?php _('Layer') ?>
<i class="fa sort" ng-class="sortIcon(12)"></i></th>
<th ng-show="user.delPermission" style="width:35px"></th>
</tr>
<tr ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage" ng-class="{'bg-danger':f.error,'bg-warning':f.processing}">
<td>
<img ng-src="{{f.imgT}}" style="margin: -5px 0px;height: 55px;">
</td>
<td style="overflow: visible;white-space: normal">
<rs-in-place-string ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
<br>
<div ng-show="f.ok">
<button ng-show="canPrint" type="button" ng-click="printGCode(f, true)" class="btn btn-xs" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="rs rs-print"></i></button>
<span rs-dropdown dropdown-append-to-body style="margin-left:10px" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu>
<li><a class="extrapad" href="javascript:void(0)" ng-click="info(f)"><rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)"><rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)"><rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?></a></li>
<li ng-if="user.readPermission"><a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)"><rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?></a></li>
<li ng-if="user.readPermission && user.editProjectsPermission"><a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)"><rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?></a></li>
<li ng-if="canPrint"><a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)"><rs-menu-icon class="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?></a></li>
</ul>
</span>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</td>
<td class="visible-md visible-lg">{{f.created | date:'short'}}</td>
<td class="hidden-xs hidden-sm">{{f.length | byte}}</td>
<td class="visible-md visible-lg">{{f.lines}}</td>
<td>{{f.printTime | hms}}</td>
<td class="hidden-xs hidden-sm">{{f.filamentTotal | number:0}} mm</td>
<td class="hidden-xs hidden-sm">{{f.layer}}</td>
<td ng-show="user.delPermission" style="text-align: center">
<div type="button" ng-click="tryDeleteModel(f)" class="btn text-danger btn-xs pull-right">
<i class="fa fa-trash-o" style="font-size:1.2em"></i></div>
</td>
</tr>
</table>
</div>
<div ng-if="globals.gcodeView.viewMode==2" class="margin-top">
<div class="row">
<div ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage track by f.id" ng-class="{'bg-danger':f.error,'bg-warning':f.processing,zoomOut:delAnimation}" class="col-xs-6 col-sm-4 col-md-3">
<h2 class="iconGCodeHeader">
<span>
<rs-in-place-string ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode">
<img ng-src="{{f.imgM}}">
<div class="hoverboxTL" ng-if="f.ok">
<button ng-show="canPrint" type="button" ng-click="printGCode(f, true)" class="btn btn-xs" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="rs rs-print"></i></button>
</div>
<div class="hoverboxTR">
<div rs-dropdown dropdown-append-to-body ng-if="f.ok" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-xs" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right" is-open="$menuModel[f.id]">
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="info(f)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.readPermission && user.editProjectsPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)">
<rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?>
</a></li>
<li ng-if="canPrint">
<a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)">
<rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?>
</a></li>
</ul>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</div>
<div class="hoverboxBR hover-parent-white">
{{f.printTime | hms}}
</div>
<div ng-if="user.delPermission" class="hoverboxBL">
<div type="button" ng-click="tryDeleteModel(f)" class="btn text-danger btn-xs pull-right light-textshadow" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size:1.6em"></i></div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="globals.gcodeView.viewMode==3" class="margin-top">
<div class="row">
<div ng-repeat="f in active.models | slice:globals.gcodeView.perPage:(globals.gcodeView.page-1)*globals.gcodeView.perPage track by f.id" ng-class="{'bg-danger':f.error,'bg-warning':f.processing,zoomOut:delAnimation}" class="col-xs-12 col-sm-6 col-md-6">
<h2 class="iconGCodeHeader">
<span>
<rs-in-place-string ng-if="user.addPermission && user.delPermission" value="f.name" changed="newModelName(f)"></rs-in-place-string>
<span ng-if="!(user.addPermission && user.delPermission)">{{f.name}}</span>
</span>
</h2>
<div class="iconGCode">
<img ng-src="{{f.imgM}}">
<div class="hoverboxTL" ng-if="f.ok">
<button ng-show="canPrint" type="button" ng-click="printGCode(f, true)" class="btn btn-sm" ng-class="{'btn-primary':f.fits,'btn-danger':!f.fits}">
<i class="rs rs-print" style="font-size: 1.5em;padding-top:1px"></i>
</button>
</div>
<div class="hoverboxTR">
<div rs-dropdown dropdown-append-to-body ng-if="f.ok" is-open="$parent.menuModel[f.id]">
<div href="#" type="button" class="btn btn-primary btn-sm" rs-dropdown-toggle>
<i class="fa fa-bars"></i>
</div>
<ul rs-dropdown-menu class="pull-right">
<li>
<a class="extrapad" href="javascript:void(0)" ng-click="info(f)">
<rs-menu-icon icon="fa fa-info-circle" style="padding:1px"></rs-menu-icon> <?php _('Summary') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,0)">
<rs-menu-icon icon="fa fa-eye" style="padding:1px"></rs-menu-icon> <?php _('2D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,2)">
<rs-menu-icon icon="fa fa-cube" style="padding:1px"></rs-menu-icon> <?php _('3D Preview') ?>
</a></li>
<li ng-if="user.readPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="previewGCode(f.id,1)">
<rs-menu-icon icon="rs rs-file-gcode" style="padding:1px"></rs-menu-icon> <?php _('Show G-Code') ?>
</a></li>
<li ng-if="user.readPermission && user.editProjectsPermission">
<a class="extrapad" href="javascript:void(0)" ng-click="copyToProject(f,$event)">
<rs-menu-icon icon="fa fa-files-o" style="padding:1px"></rs-menu-icon> <?php _('Copy to Project') ?>
</a></li>
<li ng-if="canPrint">
<a class="extrapad" href="javascript:void(0)" ng-click="closeModel(f.id);printGCode(f, false)">
<rs-menu-icon icon="rs rs-queue" style="padding:1px"></rs-menu-icon> <?php _('Queue G-Code') ?>
</a></li>
</ul>
</div>
<div ng-show="f.processing"><i class="fa fa-spinner fa-spin"></i></div>
</div>
<div ng-if="user.delPermission" class="hoverboxBL">
<div type="button" ng-click="tryDeleteModel(f)" class="btn text-danger btn-sm light-textshadow" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o" style="font-size: 2em;"></i>
</div>
</div>
<div class="hoverboxBR hover-parent-white">
{{f.printTime | hms}}
</div>
</div>
</div>
</div>
</div>
<div class="row" ng-if="active.models.length>globals.gcodeView.perPage">
<div class="col-xs-12" style="text-align: center;">
<div uib-pagination style="margin-top: 0;" boundary-links="true" total-items="active.models.length" max-size="7" ng-model="globals.gcodeView.page" items-per-page="globals.gcodeView.perPage" class="pagination-sm" previous-text="&lsaquo;" next-text="&rsaquo;" first-text="&laquo;" last-text="&raquo;"></div>
</div>
</div>
<div style="height:120px"></div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="selectSFile">
<h1>
<span ng-if="importAsJob"><?php _('Print G-Code') ?></span><span ng-if="!importAsJob"><?php _('Import G-Code') ?></span>
</h1>
<label>Folder {{selectedFolder}}</label>
<select class="form-control" ng-model="bfolder.selectedFolder" ng-options="f.id as f.name for f in folders" ng-change="selectedFolderChanged()"></select>
<label class="checkbox" style="margin-left:20px"><input type="checkbox" ng-model="bfolder.useFilter" ng-change="bfolder.updateFilter()"><?php _('Filter Wrong File Types') ?>
</label>
<h3>Path: {{bfolder.activeFolderPath}}</h3>
<table class="table table-hover">
<tr>
<th style="width:50px"></th>
<th><?php _('File') ?></th>
<th style="text-align: right"><?php _('Size') ?></th>
</tr>
<tr ng-repeat="p in bfolder.filesInPath" ng-dblclick="importFolderPath(p)">
<td>
<input ng-if="!p.isDir" type="checkbox" ng-model="p.selected" ng-click="bfolder.toggleSelectFile(p)">
</td>
<td ng-click="bfolder.toggleSelectFile(p)">
<i ng-class="p.icon"></i> {{p.name}}
</td>
<td style="text-align: right" ng-click="bfolder.toggleSelectFile(p)">
<span ng-if="!p.isDir">{{p.size | byte}}</span></td>
</tr>
</table>
<div class="btn btn-primary" ng-click="importSelectedFiles(true)" ng-hide="active.state.isJobActive">
<span ng-if="importAsJob"><i class="rs rs-print rs-bigtab"></i> <?php _('Print') ?></span><span ng-if="!importAsJob"><?php _('Import Selected') ?></span>
</div>
<div class="btn btn-primary" ng-click="importSelectedFiles(false)">
<span ng-if="importAsJob"><i class="rs rs-queue rs-bigtab"></i> <?php _('Queue G-Code') ?></span><span ng-if="!importAsJob"><?php _('Import Selected') ?></span>
</div>
<div class="btn btn-primary" ng-click="importAllFiles()">
<span ng-if="importAsJob"><i class="rs rs-print rs-bigtab"></i> <?php _('Print All') ?></span><span ng-if="!importAsJob"><?php _('Import All') ?></span>
</div>
<div class="btn btn-default pull-right" ng-click="abortFileSelection()"><?php _('Cancel') ?></div>
<div class="alert alert-info margin-top">
<i class="fa fa-info-circle fa-2x"></i> <?php _('Use double click to import a single file.') ?>
</div>
</div>
</div>
