<div class="modal-header">
<button type="button" class="close" ng-click="cancel()" aria-hidden="true">&times;</button>
<h4 class="modal-title">{{headline}}</h4>
</div>
<div class="modal-body">
<div class="list-group">
<h2><?php _('Select Printer') ?></h2>
<a href="javascript:void(0)" class="list-group-item" ng-repeat="p in printerList track by p.slug">
<input type="checkbox" ng-model="selections[p.slug]" style="margin-right: 15px;">
<span style="margin-right:10px" ng-bind-html="printer[p.slug].status | onlinecircle | unsafe"></span> {{p.name}}
<div class="btn btn-primary btn-xs pull-right hidden-xs" ng-click="selectPrinter(p, false)">
<i class="rs rs-queue"></i>
<span><?php _('Queue G-Code') ?></span>
</div>
<div class="btn btn-primary btn-xs pull-right margin-right hidden-xs" ng-click="selectPrinter(p, true)" ng-if="(!printer[p.slug].queue || printer[p.slug].queue.length===0) && !printer[p.slug].status.jobid">
<i class="rs rs-print"></i>
<span><?php _('Print') ?></span>
</div>
</a>
</div>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-primary" ng-click="selectPrinters(true)">
<i class="rs rs-print"></i> <?php _('Print Selected') ?>
</button>
<button type="button" class="btn btn-primary" ng-click="selectPrinters(false)">
<i class="rs rs-queue"></i> <?php _('Queue Selected') ?>
</button>
<button type="button" class="btn btn-default" ng-click="cancel()">
<i class="fa fa-times"></i> <?php _('Cancel') ?>
</button>
</div>
